<?php

namespace App\Http\Controllers\Admin\Structure;

use App\Http\Controllers\Controller;
use App\Http\Requests\StyleRequest;
use App\Http\Requests\UpdateStyleRequest;
use App\Models\Admin\Structure\Team;
use App\Models\Style;
use App\Traits\ApiResponser;
use App\Traits\Helper;
use Illuminate\Http\Request;

class StyleController extends Controller
{
    use Helper,ApiResponser;
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $team=Style::all();
        return   (($team))?$this->onSuccess($team):$this->onFaile($team);

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StyleRequest $request)
    {
        $requestValid=  $request->validated();
        $style= Style::create([
            'title' => $requestValid['title'],
        ]);
        return ($style) ? $this->onSuccess($style) : $this->onFaile('style Could not save ');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
  }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateStyleRequest $request, $id)
    {
        $style = Style::find($id);

        if ($style)
            $style->update([
                'title' => $request['title'],
            ]);
        return ($style) ? $this->onSuccess(Style::find($id)) : $this->onFaile('style Could not save ');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $style = Style::find($id);
        return ($style)
            ?  $this->onSuccess($style->delete()):
            $this->onFaile('style not found');
    }
}
