<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ExternalEstimateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'contractor' => ['required', 'numeric', 'exists:job_titles,id'],
            'name' => ['required', 'string', 'max:100'],
            'email' => ['required'],
            'customer_email'=>['required'],
            'email.*' => ['email'],
            'phone_number' => ['string', 'max:30'],
            'info' => ['required', 'array'],
//            'info.*.service' => ['required', 'string', 'max:100'],
            'type' => ['required', 'in:commercial,residential,remodeling,construction'],
            'service' => ['required', 'in:design,construction'],
            'project_start' => ['required', 'in:week,moth,flexible,no_sure'],
            'budget' => ['numeric', 'digits:20'],
            'subject' => ['required'],
            'description' => ['required', 'string'],
            'images.*' => ['required','image', 'mimes:jpg,png,jpeg,gif,svg', 'max:2048'],
//            'images' => ['required','image', 'mimes:jpg,png,jpeg,gif,svg', 'max:2048'],

//            'images.2' => ['image', 'mimes:jpg,png,jpeg,gif,svg', 'max:2048'],
//            'images.3' => ['image', 'mimes:jpg,png,jpeg,gif,svg', 'max:2048'],
//            'images.4' => ['image', 'mimes:jpg,png,jpeg,gif,svg', 'max:2048'],
        ];
    }
}
