<?php

namespace App\Repositories\Role;

use App\Models\User;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;

//use Your Model

/**
 * Class SearchRepository.
 */
class SearchRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return User::class;
    }

    public function searchReferralCode($code, $type)
    {
         return $type::where('referral_code', $code)->get();
    }

    public function searchEmail($type, $email)
    {
        return $type::with('jobTitle')->where('email', $email)->first();
    }

    public function searchById($type, $id)
    {
        return $type::find($id);
    }

    public function searchJobTitle($type, $jobTitleId)
    {
        return $type::select('name', 'email', 'image')->where('job_title_id', $jobTitleId)->with('participantProjects')->get();
    }
}
