<?php

namespace App\Services;

use App\Models\Owner;

class OwnerService
{
    public function checkExists($clientType, $clientId)
    {
        $entity = $clientType::find($clientId);
        if ($entity == null)
            return null;
        return $entity->owner()->first();
    }

    public function store($request, $type, $id)
    {
        $owner = Owner::create([
            'first_name' => isset($request['first_name']) ? $request['first_name'] : null,
            'last_name' => isset($request['last_name']) ? $request['last_name'] : null,
            'phone_number' => isset($request['phone_number']) ? $request['phone_number'] : null,
            'email' => isset($request['email']) ? $request['email'] : null,
            'company_name' => isset($request['company_name']) ? $request['company_name'] : null,
            'ownerable_id' => $id,
            'ownerable_type' => $type
        ]);
        if (array_key_exists('address', $request)) {
            $addressController = new AddressService();
            $address = $addressController->store($request['address'], 'App\Models\Owner', $owner->toArray()['id']);
        }
        return $owner;
    }

    public function update($request, $ownerId)
    {
        $owner = Owner::where('id', $ownerId)->update([
            'first_name' => isset($request['first_name']) ? $request['first_name'] : null,
            'last_name' => isset($request['last_name']) ? $request['last_name'] : null,
            'phone_number' => isset($request['phone_number']) ? $request['phone_number'] : null,
            'email' => isset($request['email']) ? $request['email'] : null,
        ]);
        $addressService = new AddressService();
        if (array_key_exists('address', $request)) {

            $address = $addressService->checkExist(Owner::class, $ownerId);
            if ($address == null) {
                $addresses = $addressService->store($request['address'], Owner::class, $ownerId);
            } else {
                $addresses = $addressService->update($request['address'], $address->id);
            }
        } else {
            $addressDelete = $addressService->delete(Owner::class, $ownerId);
        }

        return $owner;
    }
}
